[issm-svn] r23362 - in issm/trunk: externalpackages/gmsh jenkins

jdquinn at issm.ess.uci.edu jdquinn at issm.ess.uci.edu
Mon Oct 1 12:16:12 PDT 2018


Author: jdquinn
Date: 2018-10-01 12:16:12 -0700 (Mon, 01 Oct 2018)
New Revision: 23362

Added:
   issm/trunk/externalpackages/gmsh/install-mac-precompiled.sh
Modified:
   issm/trunk/externalpackages/gmsh/install-static.sh
   issm/trunk/jenkins/macosx_pine-island_static
Log:
CHG: Packaging precompiled version of gmsh rather than attempting to link to static gfortran

Added: issm/trunk/externalpackages/gmsh/install-mac-precompiled.sh
===================================================================
--- issm/trunk/externalpackages/gmsh/install-mac-precompiled.sh	                        (rev 0)
+++ issm/trunk/externalpackages/gmsh/install-mac-precompiled.sh	2018-10-01 19:16:12 UTC (rev 23362)
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -eu
+
+# Set gmsh version
+GMSH_VER="3.0.5"
+
+# Set tarball name
+GMSH_TARBALL_NAME="gmsh-${GMSH_VER}-mac-precompiled"
+
+# Clean up from previous installation
+rm -f $GMSH_TARBALL_NAME.tar.gz
+rm -rf install src
+
+# Download Mac precompiled gmsh from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/${GMSH_TARBALL_NAME}.tar.gz" "${GMSH_TARBALL_NAME}.tar.gz"
+
+# Untar gmsh
+tar -xvzf $GMSH_TARBALL_NAME.tar.gz
+
+# Copy gmsh to path expected by packager
+mkdir install
+cp gmsh install
+rm gmsh


Property changes on: issm/trunk/externalpackages/gmsh/install-mac-precompiled.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Modified: issm/trunk/externalpackages/gmsh/install-static.sh
===================================================================
--- issm/trunk/externalpackages/gmsh/install-static.sh	2018-10-01 16:30:55 UTC (rev 23361)
+++ issm/trunk/externalpackages/gmsh/install-static.sh	2018-10-01 19:16:12 UTC (rev 23362)
@@ -26,7 +26,7 @@
 
 #Configure
 cd install
-cmake ../src -DCMAKE_INSTALL_PREFIX="$ISSM_DIR/externalpackages/gmsh/install" -DENABLE_BUILD_LIB=1 -DENABLE_METIS=0
+cmake ../src -DCMAKE_INSTALL_PREFIX="$ISSM_DIR/externalpackages/gmsh/install" -DENABLE_METIS=0
 
 #Compile and install
 if [ $# -eq 0 ]; then

Modified: issm/trunk/jenkins/macosx_pine-island_static
===================================================================
--- issm/trunk/jenkins/macosx_pine-island_static	2018-10-01 16:30:55 UTC (rev 23361)
+++ issm/trunk/jenkins/macosx_pine-island_static	2018-10-01 19:16:12 UTC (rev 23362)
@@ -22,8 +22,7 @@
 	--with-metis-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-m1qn3-dir=$ISSM_DIR/externalpackages/m1qn3/install \
 	--with-math77-dir=$ISSM_DIR/externalpackages/math77/install \
-	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a /usr/local/gfortran/lib/libquadmath.a /usr/local/gfortran/lib/gcc/x86_64-apple-darwin14/5.2.0/libgcc.a" \
-	--with-numthreads=4'
+	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a /usr/local/gfortran/lib/libquadmath.a /usr/local/gfortran/lib/gcc/x86_64-apple-darwin14/5.2.0/libgcc.a"'
 
 
 #PYTHON and MATLAB testing
@@ -46,7 +45,7 @@
 					hdf5		install.sh
 					netcdf		install.sh
 					gmt			install-static.sh
-					gmsh		install-static.sh
+					gmsh		install-mac-precompiled.sh
 					shell2junit	install.sh"
 
 #for SLR we need gmsh to mesh, math77, and gmt (which itself needs gdal and netcdf...)



More information about the issm-svn mailing list